Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.impl.pm.opstatus
Class ReportFormatImpl

    java.lang.Object
      com.sun.management.oss.impl.pm.opstatus.ReportFormatImpl

All Implemented Interfaces:
  java.lang.Cloneable, ReportFormat, java.io.Serializable, SerializerFactory

public class ReportFormatImpl
extends java.lang.Object
implements ReportFormat

Title: JSR090 Reference Implementation Description: Copyright: Copyright 2001 Ericsson Radio Systems AB Company: Ericsson

Version:
  0.2
Author:
  Andreas Jirven, Anna Eriksson, Ali Feizabadi
See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.sun.management.oss.pm.opstatus.ReportFormat
`ASCII, ASN1, BINARY, XML`

Constructor Summary
`ReportFormatImpl()`

Method Summary
`java.lang.Object` | `clone()` Deep copy of this instance.
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getOwner()` Get the vendor name or the organization that have defined the format.
`java.lang.String` | `getSpecification()` Returns information about the specification of the report format.
`java.lang.String[]` | `getSupportedSerializerTypes()` Return all the serializer types than can be created by this factory.
`java.lang.String` | `getTechnology()` Gets the technology area that this report format is used for.
`int` | `getType()` Gets the report format type.
`java.lang.String` | `getVersion()` Get the report format version.
`int` | `hashCode()`
`Serializer` | `makeSerializer(java.lang.String serializerType)` Manufacture a Serializer for the object type inheriting the interface.
`void` | `setOwner(java.lang.String owner)` Set the vendor name or the organization that have defined the format.
`void` | `setSpecification(java.lang.String specification)` Sets the information about the specification of the report format.
`void` | `setTechnology(java.lang.String technology)` Sets the technology area that this report format is used for.
`void` | `setType(int type)` Sets the report format type.
`void` | `setVersion(java.lang.String version)` Set the report format version.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportFormatImpl

    public ReportFormatImpl()

Method Detail

### clone

    public java.lang.Object clone()

  Description copied from interface: `ReportFormat`
  Deep copy of this instance.

  Specified by:
    `clone` in interface `ReportFormat`

### getType

    public int getType()

  Gets the report format type.

  The type of the report format can have one of the following values:

  - XML
  - ASN1
  - ASCII
  - BINARY

  Specified by:
    `getType` in interface `ReportFormat`
  Returns:
    int The report format type.
  See Also:
    `ReportFormat.setType(int)`

### getVersion

    public java.lang.String getVersion()

  Get the report format version.

  Specified by:
    `getVersion` in interface `ReportFormat`
  Returns:
    String The version of the report format.
  See Also:
    `ReportFormat.setVersion(java.lang.String)`

### getOwner

    public java.lang.String getOwner()

  Get the vendor name or the organization that have defined the format.

  Returns the vendor name or organization name of the report format. For example: if the report format is 3GPP XML or ASN1 format this operation should return "3GPP".

  Specified by:
    `getOwner` in interface `ReportFormat`
  Returns:
    String The name of the Owner of the report format.
  See Also:
    `ReportFormat.setOwner(java.lang.String)`

### getTechnology

    public java.lang.String getTechnology()

  Gets the technology area that this report format is used for.

  This operation indicates the technology area of the nodes in a measurement report of this report format. For example the operation should return "3G" for 3rd generation networks and "ATM" for a ATM networks.

  The operation can return an empty string if the report format is applicable for many technology areas.

  Specified by:
    `getTechnology` in interface `ReportFormat`
  Returns:
    String The name of the technology.
  See Also:
    `ReportFormat.setTechnology(java.lang.String)`

### getSpecification

    public java.lang.String getSpecification()

  Returns information about the specification of the report format.

  This operation shall allow the client to get more detailed information on how to parse the report format. For example this operation should return "DOCTYPE MeasDataCollection SYSTEM MeasDataCollection.dtd" if the report format is according to 3GPP XML format.

  If no applicable information is available, then an empty string should be returned.

  Specified by:
    `getSpecification` in interface `ReportFormat`
  Returns:
    String Information on how to parse the report format.
  See Also:
    `ReportFormat.setSpecification(java.lang.String)`

### setType

    public void setType(int type)
                 throws java.lang.IllegalArgumentException

  Description copied from interface: `ReportFormat`
  Sets the report format type.

  The type of the report format can have one of the following values:

  - XML
  - ASN1
  - ASCII
  - BINARY

  Specified by:
    `setType` in interface `ReportFormat`
  Parameters:
    `type` - The report format type.
  Throws:
    `java.lang.IllegalArgumentException` - Is raised if the input parameter is invalid.
  See Also:
    `ReportFormat.getType()`

### setVersion

    public void setVersion(java.lang.String version)
                    throws java.lang.IllegalArgumentException

  Description copied from interface: `ReportFormat`
  Set the report format version.

  Specified by:
    `setVersion` in interface `ReportFormat`
  Parameters:
    `version` - The version of the report format.
  Throws:
    `java.lang.IllegalArgumentException` - Is raised if the input parameter is invalid.
  See Also:
    `ReportFormat.getVersion()`

### setOwner

    public void setOwner(java.lang.String owner)
                  throws java.lang.IllegalArgumentException

  Description copied from interface: `ReportFormat`
  Set the vendor name or the organization that have defined the format.

  Specified by:
    `setOwner` in interface `ReportFormat`
  Parameters:
    `owner` - The name of the Owner of the report format.
  Throws:
    `java.lang.IllegalArgumentException` - Is raised if the input parameter is invalid.
  See Also:
    `ReportFormat.getOwner()`

### setSpecification

    public void setSpecification(java.lang.String specification)
                          throws java.lang.IllegalArgumentException

  Description copied from interface: `ReportFormat`
  Sets the information about the specification of the report format.

  If no applicable information is available, then an empty string should be set.

  Specified by:
    `setSpecification` in interface `ReportFormat`
  Parameters:
    `specification` - Information on how to parse the report format.
  Throws:
    `java.lang.IllegalArgumentException` - Is raised if the input parameter is invalid.
  See Also:
    `ReportFormat.getSpecification()`

### setTechnology

    public void setTechnology(java.lang.String technology)
                       throws java.lang.IllegalArgumentException

  Description copied from interface: `ReportFormat`
  Sets the technology area that this report format is used for.

  Specified by:
    `setTechnology` in interface `ReportFormat`
  Parameters:
    `technology` - The name of the technology.
  Throws:
    `java.lang.IllegalArgumentException` - Is raised if the input parameter is invalid.
  See Also:
    `ReportFormat.getTechnology()`

### getSupportedSerializerTypes

    public java.lang.String[] getSupportedSerializerTypes()

  Description copied from interface: `SerializerFactory`
  Return all the serializer types than can be created by this factory. This may return an empty array, in case no serializer is implemented.

  Specified by:
    `getSupportedSerializerTypes` in interface `SerializerFactory`
  Returns:
    an array of supported serializer types.

### makeSerializer

    public Serializer makeSerializer(java.lang.String serializerType)
                              throws java.lang.IllegalArgumentException

  Description copied from interface: `SerializerFactory`
  Manufacture a Serializer for the object type inheriting the interface.

  Specified by:
    `makeSerializer` in interface `SerializerFactory`
  Parameters:
    `serializerType` - the class name of the serializer interface that must be created. For example `XmlSerializer.getClass().getName()`
  Returns:
    a serializer matching the serializer type .
  Throws:
    `java.lang.IllegalArgumentException` - if no serializer can be created matching the provided Serializer Type.

### hashCode

    public int hashCode()

### equals

    public boolean equals(java.lang.Object o)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD